emulation_vector:
COP:
BRK:
ABORT:
	;todo integrate exception handler
	sei
	stz $4200
	sep #$30
	-
		lda $4210
	bpl -
	lda #$1F
	stz $2121
	sta $2122
	stz $2122
	
	lda #$0F
	sta $2100
	sta $5000
	stp

warnpc $80FFC0
org $80FFC0
internal_header:
	db $20,$20,$20,$20,$20,$20,$20,$20	;\ Blank title since it is unneeded.
	db $20,$20,$20,$20,$20,$20,$20,$20 	; |
	db $20,$20,$20,$20,$20			;/
	db $20 					; Rom type: LoROM
	db $02					; ROM+SRAM
	db $0A					; ROM size: 1MB
	db $03					; RAM size: 8KB
	db $01					; Country code: NTSC        
	db $00					; License code: N/A
	db $00					; Version: zero
	dw $0000				; Checksum complement. (uncalculated)
	dw $0000				; Checksum (uncalculated)
	db $FF,$FF,$FF,$FF			;
						; Table of interrupt vectors for native mode:
	dw COP					; COP
	dw BRK					; BRK
	dw ABORT				; Abort
	dw NMI_wrapper				; NMI
	dw reset				; Unused
	dw IRQ_wrapper                		; IRQ
	db $FF,$FF,$FF,$FF 			; Freespace
						;
	dw emulation_vector			; COP
	dw emulation_vector			; Unused
	dw emulation_vector			; Abort
	dw emulation_vector			; NMI
	dw reset				; Reset
	dw emulation_vector			; IRQ or BRK
